import { Paginator } from "@smithy/types";
import { SearchRasterDataCollectionCommandInput, SearchRasterDataCollectionCommandOutput } from "../commands/SearchRasterDataCollectionCommand";
import { SageMakerGeospatialPaginationConfiguration } from "./Interfaces";
/**
 * @public
 */
export declare function paginateSearchRasterDataCollection(config: SageMakerGeospatialPaginationConfiguration, input: SearchRasterDataCollectionCommandInput, ...additionalArguments: any): Paginator<SearchRasterDataCollectionCommandOutput>;
